" vim: ft=xpt

" XPTemplate template file.
"
" Language:     LaTeX
" Maintainer:   Simon Ruderich <simon@ruderich.org>
" License:      GPL v3+


" Prevent errors if XPTemplate is not installed.
if !exists('g:XPT#ver')
    finish
endif

XPTemplate priority=personal


" PACKAGES

XPT usepackage " \usepackage{..}
\usepackage{`package^}


" SECTIONS

XPT s synonym=section " \section{..}
\section`*^{`title^}

XPT ss " \subsection{..}
\subsection`*^{`title^}

XPT sss " \subsubsection{..}
\subsubsection`*^{`title^}


" ENVIRONMENTS

XPT itemize " \begin{itemize} .. \end{itemize}
\begin{itemize}
\item `cursor^
\end{itemize}

XPT enumerate " \begin{enumerate} .. \end{enumerate}
\begin{enumerate}
\item `cursor^
\end{enumerate}

XPT description " \begin{description} .. \end{description}
\begin{description}
\item`[`text?`]^ `cursor^
\end{description}

XPT i "\item ..
\item`[`text?`]^ `cursor^

XPT align " \begin{align} .. \end{align}
\begin{align`*^}
`cursor^
\end{align`*^}

XPT listing " \begin{lstlisting} .. \end{lstlisting}
\begin{lstlisting}`[`attributes?`]^
`cursor^
\end{lstlisting}


" BEAMER

XPT frame " \begin{frame} .. \end{frame}
\begin{frame}{`title^}
`cursor^
\end{frame}

XPT block " \begin{block} .. \end{block}
\begin{block}{`title^}
`cursor^
\end{block}

XPT exampleblock " \begin{exampleblock} .. \end{exampleblock}
\begin{exampleblock}{`title^}
`cursor^
\end{exampleblock}
